Voice agentsAgent tests
Get test settings
The agent's test settings, or the defaults when none were saved.
Authorization
bearerAuth AuthorizationBearer <token>
A Tandem bearer token. Requests are scoped to the organization the token belongs to; no organization header is required.
In: header
Path Parameters
agentId*string
The agent's unique ID.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agent-media/agents/string/test-settings"{ "settings": { "simulatorModel": "claude-haiku-4-5", "judgeModel": "claude-haiku-4-5", "agentTemperature": 0, "defaultRepeat": 1 }, "models": [ { "id": "claude-haiku-4-5", "label": "string" } ]}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}